Images Class

Defines an image answer.

Variables are only populated by the server, and will be ignored when sending a request.

All required parameters must be populated in order to send to Azure.

Inheritance
azure.cognitiveservices.search.imagesearch.models._models_py3.SearchResultsAnswer
Images

Constructor

Images(*, value, **kwargs)

Parameters

_type
str
Required

Required. Constant filled by server.

value
list[ImageObject]
Required

Required. A list of image objects that are relevant to the query. If there are no results, the List is empty.

Variables

id
str

A String identifier.

read_link
str

The URL that returns this resource.

web_search_url
str

The URL To Bing's search result for this item.

total_estimated_matches
<xref:long>

The estimated number of webpages that are relevant to the query. Use this number along with the count and offset query parameters to page the results.

next_offset
int

Used as part of deduping. Tells client the next offset that client should use in the next pagination request

query_expansions
list[Query]

A list of expanded queries that narrows the original query. For example, if the query was Microsoft Surface, the expanded queries might be: Microsoft Surface Pro 3, Microsoft Surface RT, Microsoft Surface Phone, and Microsoft Surface Hub.

pivot_suggestions
list[PivotSuggestions]

A list of segments in the original query. For example, if the query was Red Flowers, Bing might segment the query into Red and Flowers. The Flowers pivot may contain query suggestions such as Red Peonies and Red Daisies, and the Red pivot may contain query suggestions such as Green Flowers and Yellow Flowers.

similar_terms
list[Query]

A list of terms that are similar in meaning to the user's query term.